var search_data = {"index":{"searchIndex":["repository","base","internals","recorddeleter","recordsaver","recordupdater","slugfinder","add()","all()","delete()","delete()","entity_for_slug()","error_hashes()","errors_for_slug()","failed_result()","find()","find_by_slug()","new()","new()","new()","new()","new()","result()","result_builder()","successful_result()","update()","update()","validate_initializer_argument()"],"longSearchIndex":["repository","repository::base","repository::base::internals","repository::base::internals::recorddeleter","repository::base::internals::recordsaver","repository::base::internals::recordupdater","repository::base::internals::slugfinder","repository::base#add()","repository::base#all()","repository::base#delete()","repository::base::internals::recorddeleter#delete()","repository::base::internals::slugfinder#entity_for_slug()","repository::base::internals::recordsaver#error_hashes()","repository::base::internals::slugfinder#errors_for_slug()","repository::base::internals::recordsaver#failed_result()","repository::base::internals::slugfinder#find()","repository::base#find_by_slug()","repository::base::new()","repository::base::internals::recorddeleter::new()","repository::base::internals::recordsaver::new()","repository::base::internals::recordupdater::new()","repository::base::internals::slugfinder::new()","repository::base::internals::recordsaver#result()","repository::base::internals::slugfinder#result_builder()","repository::base::internals::recordsaver#successful_result()","repository::base#update()","repository::base::internals::recordupdater#update()","repository::base#validate_initializer_argument()"],"info":[["Repository","","Repository.html","","<p>The `Repository` module functions as a namespace for implementing the repository logic in a [Data Mapper …\n"],["Repository::Base","","Repository/Base.html","","<p>Base class for Repository in Data Mapper pattern.\n<p>Base class for Repository in Data Mapper pattern.\n<p>Base …\n"],["Repository::Base::Internals","","Repository/Base/Internals.html","","<p>Internal support code exclusively used by Repository::Base @since 0.0.1\n<p>Internal support code exclusively …\n"],["Repository::Base::Internals::RecordDeleter","","Repository/Base/Internals/RecordDeleter.html","","<p>Stows away details of reporting update success/failure. @since 0.0.5\n"],["Repository::Base::Internals::RecordSaver","","Repository/Base/Internals/RecordSaver.html","","<p>Reports on the success or failure of saving a *DAO record*, using the `Repository::Support::StoreResult` …\n"],["Repository::Base::Internals::RecordUpdater","","Repository/Base/Internals/RecordUpdater.html","","<p>Stows away details of reporting update success/failure. @since 0.0.4\n"],["Repository::Base::Internals::SlugFinder","","Repository/Base/Internals/SlugFinder.html","","<p>Find a slug in the DAO, reporting errors if not successful. @since 0.0.3\n"],["add","Repository::Base","Repository/Base.html#method-i-add","(entity)","<p>Add a new record with attributes matching the specified entity to the associated DAO. @param entity  …\n"],["all","Repository::Base","Repository/Base.html#method-i-all","()","<p>Return an array of entities matching all records currently in the associated DAO. @return [Array] Array …\n"],["delete","Repository::Base","Repository/Base.html#method-i-delete","(identifier)","<p>Remove a record from the underlying DAO whose slug matches the passed-in identifier. @param identifier …\n"],["delete","Repository::Base::Internals::RecordDeleter","Repository/Base/Internals/RecordDeleter.html#method-i-delete","()","<p>Command-pattern method returning indication of success or failure of attempt to delete identified record. …\n"],["entity_for_slug","Repository::Base::Internals::SlugFinder","Repository/Base/Internals/SlugFinder.html#method-i-entity_for_slug","()","<p>Builds an entity from an existing DAO record matching the slug. @return If the slug matches an existing …\n"],["error_hashes","Repository::Base::Internals::RecordSaver","Repository/Base/Internals/RecordSaver.html#method-i-error_hashes","()","<p>Represent error data sourced from an `ActiveModel::Errors` object as an Array of `{field: &#39;field&#39;, …\n"],["errors_for_slug","Repository::Base::Internals::SlugFinder","Repository/Base/Internals/SlugFinder.html#method-i-errors_for_slug","()","<p>Builds an [`ActiveModel::Errors`](api.rubyonrails.org/classes/ActiveModel/Errors.html) instance and adds …\n"],["failed_result","Repository::Base::Internals::RecordSaver","Repository/Base/Internals/RecordSaver.html#method-i-failed_result","()",""],["find","Repository::Base::Internals::SlugFinder","Repository/Base/Internals/SlugFinder.html#method-i-find","()","<p>Command-pattern method to search underlying DAO for record matching slug. Returns a `Repository::Support::StoreResult` …\n"],["find_by_slug","Repository::Base","Repository/Base.html#method-i-find_by_slug","(slug)","<p>Find a record in the DAO and, on success, return a corresponding entity using the specified [slug](en.wikipedia.org/wiki/Semantic_URL#Slug …\n"],["new","Repository::Base","Repository/Base.html#method-c-new","(factory:, dao:)","<p>Initialise a new `Repository::Base` instance. @param factory Has a .create method to create entities …\n"],["new","Repository::Base::Internals::RecordDeleter","Repository/Base/Internals/RecordDeleter.html#method-c-new","(identifier:, dao:, factory:)","<p>Initializes a new instance of `SlugFinder`. @param identifier [String] [Slug](en.wikipedia.org/wiki/Semantic_URL#Slug …\n"],["new","Repository::Base::Internals::RecordSaver","Repository/Base/Internals/RecordSaver.html#method-c-new","(record:, factory:)","<p>Sets instance variable(s) on a new `RecordSaver` instanace. @param record DAO record to attempt to save. …\n"],["new","Repository::Base::Internals::RecordUpdater","Repository/Base/Internals/RecordUpdater.html#method-c-new","(identifier:, updated_attrs:, dao:, factory:)","<p>Initializes a new instance of `RecordUpdater`. @param identifier [String] Slug uniquely identifying the …\n"],["new","Repository::Base::Internals::SlugFinder","Repository/Base/Internals/SlugFinder.html#method-c-new","(slug:, dao:, factory:)","<p>Initializes a new instance of `SlugFinder`. @param slug [String] [Slug](en.wikipedia.org/wiki/Semantic_URL#Slug …\n"],["result","Repository::Base::Internals::RecordSaver","Repository/Base/Internals/RecordSaver.html#method-i-result","()","<p>Command-pattern method returning indication of success or failure of attempt to save record. @return …\n"],["result_builder","Repository::Base::Internals::SlugFinder","Repository/Base/Internals/SlugFinder.html#method-i-result_builder","(record)","<p>Returns a new `Repository::Support::ResultBuilder` instance, passing the parameter specified to this …\n"],["successful_result","Repository::Base::Internals::RecordSaver","Repository/Base/Internals/RecordSaver.html#method-i-successful_result","()",""],["update","Repository::Base","Repository/Base.html#method-i-update","(identifier:, updated_attrs:)","<p>Update a record in the DAO corresponding to the specified identifier, using the specified attribute-name/value …\n"],["update","Repository::Base::Internals::RecordUpdater","Repository/Base/Internals/RecordUpdater.html#method-i-update","()","<p>Command-pattern method to update a record in the persistence layer, based on the parameters sent to `#initialize`. …\n"],["validate_initializer_argument","Repository::Base","Repository/Base.html#method-i-validate_initializer_argument","(arg_sym, value)","<p>Verifies that parameter passed to #initialize is a Class. @param arg_sym [Symbol] Which parameter is …\n"]]}}